# GPUDOFSettings(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``GPUDOFSettings`(bpy_struct)

  Settings for GPU based depth of field

  `blades`

    Blades for dof effect

    Type: | int in [0, 16], default 0

  `focal_length`

    Focal length for dof effect

    Type: | float in [1, inf], default 0.0

  `focus_distance`

    Viewport depth of field focus distance

    Type: | float in [0, inf], default 0.0

  `fstop`

    F-stop for dof effect

    Type: | float in [0, inf], default 0.0

  `is_hq_supported`

    Use high quality depth of field

    Type: | boolean, default False, (readonly)

  `sensor`

    Size of sensor

    Type: | float in [1, inf], default 0.0

  `use_high_quality`

    Use high quality depth of field

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Camera.gpu_dof` | `GPUFXSettings.dof`